image: ruby:2.6-alpine

stages:
  - test
  - rspec

test one:
  stage: test
  script:
    - bundle install
    - rspec
    - exit 1
  allow_failure: true

test two:
  stage: rspec
  script:
    - bundle install
    - rspec

test three:
  stage: rspec
  script:
    - bundle install
    - rspec